Redmine - Patch #43130

Fix random test failures by calling Setting.clear_cache after all tests
2025-08-12 20:48 - Katsuya HIDAKA

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Code cleanup/refactoring Estimated time: 0.00 hour
Target version: 6.1.0

Description

This patch fixes random test failures that happen because Settings state is not consistent when tests start.
It's likely that random test failures like the ones below are caused by a Settings cache from previous tests affecting the current test.

https://github.com/redmine/redmine/actions/runs/16861987913/job/47763524042

Failure:

MenuManagerTest#test_cross_project_menu_should_hide_item_if_ module_is_not_enabled_for_any_project
[test/integration/lib/redmine/menu_manager_test.rb:144]:

Expected at least 1 element matching "#projects-index", found O.

Expected 0 to be >= 1.

bin/rails test test/integration/lib/redmine/menu_manager_test.rb:123

https://github.com/hidakatsuya/redmine/actions/runs/16886193502/job/47834442073

ailure:

NewsControllerTest#test_show [test/functional/news_controller_test.rb:78]:
Expected: "JS eCookbook first release !"

Actual: "eCookbook first release !".

Expected 0 to be >= 1.

bin/rails test test/functional/news_controller_test.rb:74
This patch ensures Setting.clear_cache is run after every test completes. It's believed that no tests require the previous setting state.

| have verified that all tests are passing consistently over at least three runs.

Associated revisions

Revision 23915 - 2025-08-13 07:31 - Marius BALTEANU

Run Setting.clear_cache after each test in order to decrease the number of random failing tests (#43130).

Patch by Katsuya HIDAKA (user:hidakatsuya).

History

#1 - 2025-08-13 07:31 - Marius BALTEANU
- Status changed from New to Resolved
- Assignee set to Marius BALTEANU

- Target version set to 6.1.0
Committed, thanks!

#2 - 2025-08-13 22:41 - Marius BALTEANU

- Status changed from Resolved to Closed
